Name:		waagent
Summary:	Windows Azure Linux Agent
Version:	2.12.0.4
Release:	%mkrel 1
License:	Apache-2.0
Group:		System/Libraries
Url:		https://github.com/Azure/WALinuxAgent
Source:		https://github.com/Azure/WALinuxAgent/archive/v%{version}/WALinuxAgent-%{version}.tar.gz
Patch0:		waagent-2.12.0.4-mageia-support.patch
Patch1:		0001-waagent.service-set-ConditionVirtualization-microsof.patch
Patch2:		0001-Fedora-do-not-require-legacycrypt.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-crypt-r
BuildRequires:	python3-distro
Requires:	ntfs-3g
Requires:	iptables
Requires:	openssh-server
Requires:	openssl
Requires:	parted
Requires:	sudo
Requires:	python3
Requires:	python3-pyasn1
Conflicts:	networkmanager

%description
The Windows Azure Linux Agent (%{name}) manages Linux provisioning and VM
interaction with the Windows Azure Fabric Controller.
This package should be installed on Linux disk images that are built to run
in the Windows Azure environment.

%prep
%autosetup -p1 -n WALinuxAgent-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%py3_install -- --lnx-distro='%_real_vendor'

mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/%{name}.log

# python shebangs
%py3_shebang_fix %{buildroot}%{_sbindir}/%{name}

%post
/usr/sbin/waagent --setup --force

%files
%doc NOTICE README.md
%license LICENSE.txt
%{_sbindir}/%{name}
%{_sbindir}/%{name}2.0
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}.logrotate
%config %{_sysconfdir}/%{name}.conf
%ghost %{_localstatedir}/log/%{name}.log
%{_unitdir}/%{name}.service
%{_udevrulesdir}/66-azure-storage.rules
%{_udevrulesdir}/99-azure-product-uuid.rules
%{python3_sitelib}/azurelinuxagent/
%{python3_sitelib}/WALinuxAgent-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Mar 10 2025 daviddavid <daviddavid> 2.12.0.4-1.mga10
+ Revision: 2162537
- new version: 2.12.0.4
- rebuild for python 3.13

* Sun Feb 25 2024 papoteur <papoteur> 2.2.53.1-4.mga10
+ Revision: 2044111
- Mass Rebuild - Python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 2.2.53.1-3.mga9
+ Revision: 1824766
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 2.2.53.1-2.mga9
+ Revision: 1774868
- rebuild for python 3.10

* Wed Mar 24 2021 daviddavid <daviddavid> 2.2.53.1-1.mga9
+ Revision: 1708584
- new version: 2.2.53.1

* Wed Mar 24 2021 daviddavid <daviddavid> 2.2.42-3.mga9
+ Revision: 1708573
- rebuild for python 3.9

* Sun Feb 16 2020 daviddavid <daviddavid> 2.2.42-2.mga8
+ Revision: 1533416
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 daviddavid <daviddavid> 2.2.42-1.mga8
+ Revision: 1443718
- new version: 2.2.42
+ tv <tv>
- rebuild for python-3.8

* Tue Mar 26 2019 ns80 <ns80> 2.2.34-3.mga7
+ Revision: 1380344
- add patch for CVE-2019-0804 (mga#24510)

* Thu Jan 10 2019 daviddavid <daviddavid> 2.2.34-2.mga7
+ Revision: 1354082
- rebuild for new Python 3.7

* Thu Jan 03 2019 daviddavid <daviddavid> 2.2.34-1.mga7
+ Revision: 1348810
- new version: 2.2.34
- port to python3
- add mageia support in setup

* Wed Sep 19 2018 umeabot <umeabot> 2.0.0-6.mga7
+ Revision: 1277020
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 2.0.0-5.mga6
+ Revision: 934083
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 742711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 690259
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 545131
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 2.0.0-1.mga4
+ Revision: 500838
- new version 2.0.0

* Tue Sep 10 2013 dams <dams> 1.4.0-1.mga4
+ Revision: 477296
- add 'python-setuptools' as BR
- new version 1.4.0
- remove patch as it was merged upstream
- clean/update specfile

* Tue Apr 09 2013 dams <dams> 1.3.2-2.mga3
+ Revision: 409188
- remove useless patch for pyasn1
- add pyhton-pyasn1 as a require

* Sun Apr 07 2013 dams <dams> 1.3.2-1.mga3
+ Revision: 408659
- new version 1.3.2
- rediff patches

* Mon Jan 14 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 385588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dams <dams> 1.2-2.mga3
+ Revision: 343734
- clean specfile
- imported package waagent

